package com.bonus.sgzb.machine.damain;


import com.bonus.sgzb.common.core.annotation.Excel;

public class MaPropInfo {
  /**
   * 资产ID
   */
  @Excel(name = "资产ID")
  private long propId;
  /**
   * 资产名称
   */
  @Excel(name = "资产名称")
  private String propName;
  /**
   * 帐号状态（0正常 1停用）
   */
  private String status;
  /**
   * 组织ID
   */
  @Excel(name = "组织ID")
  private String deptId;
  /**
   * 删除标志（0代表存在 2代表删除）
   */
  private String delFlag;
  /**
   * 创建者
   */
  @Excel(name = "创建者")
  private String createBy;
  /**
   * 创建时间
   */
  @Excel(name = "创建时间")
  private java.sql.Timestamp createTime;
  /**
   * 更新者
   */
  @Excel(name = "更新者")
  private String updateBy;
  /**
   * 更新时间
   */
  @Excel(name = "更新时间")
  private java.sql.Timestamp updateTime;
  /**
   * 备注
   */
  @Excel(name = "备注")
  private String remark;
  /**
   * 数据所属组织
   */
  @Excel(name = "数据所属组织")
  private String companyId;


  public long getPropId() {
    return propId;
  }

  public void setPropId(long propId) {
    this.propId = propId;
  }


  public String getPropName() {
    return propName;
  }

  public void setPropName(String propName) {
    this.propName = propName;
  }


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  public String getDeptId() {
    return deptId;
  }

  public void setDeptId(String deptId) {
    this.deptId = deptId;
  }


  public String getDelFlag() {
    return delFlag;
  }

  public void setDelFlag(String delFlag) {
    this.delFlag = delFlag;
  }


  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }


  public java.sql.Timestamp getCreateTime() {
    return createTime;
  }

  public void setCreateTime(java.sql.Timestamp createTime) {
    this.createTime = createTime;
  }


  public String getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }


  public java.sql.Timestamp getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(java.sql.Timestamp updateTime) {
    this.updateTime = updateTime;
  }


  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

}
